Page MenuHomePhabricator

Create a script for finding all wikidata items that have a conversion factor to a SI unit defined
Closed, ResolvedPublic

Description

Any item that has a conversion to SI units defined can be treated as a unit. We need a script to list these (perhaps along with the conversion factor and target) to build the unit converter configuration.

Event Timeline

daniel created this task.Jun 21 2017, 10:15 PM

Probably modifying updateUnits.php would be the best way to go with this.

Smalyshev renamed this task from Create a script for finding all wikidata items that have a conversion factor to a CI unit defined to Create a script for finding all wikidata items that have a conversion factor to a SI unit defined.Jun 29 2017, 11:01 PM
Smalyshev triaged this task as Normal priority.
Smalyshev updated the task description. (Show Details)

Change 362596 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/Wikibase@master] Allow to include units without usage

https://gerrit.wikimedia.org/r/362596

Change 362596 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Include units without usage by default

https://gerrit.wikimedia.org/r/362596

Smalyshev closed this task as Resolved.Jul 20 2017, 8:34 PM
Smalyshev claimed this task.